VFS_STATFS(9)

NAME
VFS_STATFS - return filesystem status

SYNOPSIS
#include <sys/mount.h>
#include <sys/vnode.h>
int
VFS_STATFS(struct mount *mp, struct statfs *sbp, struct proc *p);

DESCRIPTION
This call returns various pieces of information about the filesystem, including recommended I/O sizes, free space, free inodes, etc.

Its arguments are:

mp  The filesystem.

sbp Return parameter for the filesystem's status.

p   The process which is querying the filesystem.

SEE ALSO
vnode(9), VFS(9)

AUTHORS
This man page was written by Doug Rabson.